Bug 1458270 (CVE-2017-9373) - CVE-2017-9373 Qemu: ide: ahci host memory leakage during hotunplug
Summary: CVE-2017-9373 Qemu: ide: ahci host memory leakage during hotunplug
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-9373
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1476049 1476068 1476069 1476072 1476074 1476077
Blocks: 1393753 1476084
TreeView+ depends on / blocked
 
Reported: 2017-06-02 12:25 UTC by Prasad J Pandit
Modified: 2019-09-29 14:13 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:14:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Prasad J Pandit 2017-06-02 12:25:10 UTC
Quick emulator built with the IDE AHCI Emulation support is vulnerable to a
host memory leakage issue. It could occur while hot-unplugging the AHCI device.

A privileged user inside guest could use this flaw to leak host memory
resulting in DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=d68f0f778e7f4fbd674627274267f269e40f0b04

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/06/05/1

Comment 1 Prasad J Pandit 2017-06-02 12:25:37 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360 Gear Team)

Comment 4 errata-xmlrpc 2017-08-02 01:01:42 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 5 errata-xmlrpc 2017-08-02 04:50:11 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.